Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TProcessProperties

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TProcessPropertiesImpl

    public interface TProcessProperties

extends org.apache.xmlbeans.XmlObject

An XML tProcessProperties(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

Nested Class Summary
`static class` | `TProcessProperties.Factory` A factory class with static methods for creating instances of this type.
`static interface` | `TProcessProperties.Property` An XML property(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TProcessProperties.Property` | `addNewProperty()` Appends and returns a new empty value (as xml) as the last "property" element
`TProcessProperties.Property[]` | `getPropertyArray()` Deprecated.
`TProcessProperties.Property` | `getPropertyArray(int i)` Gets ith "property" element
`java.util.List<TProcessProperties.Property>` | `getPropertyList()` Gets a List of "property" elements
`TProcessProperties.Property` | `insertNewProperty(int i)` Inserts and returns a new empty value (as xml) as the ith "property" element
`void` | `removeProperty(int i)` Removes the ith "property" element
`void` | `setPropertyArray(int i, TProcessProperties.Property property)` Sets ith "property" element
`void` | `setPropertyArray(TProcessProperties.Property[] propertyArray)` Sets array of all "property" element
`int` | `sizeOfPropertyArray()` Returns number of "property" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getPropertyList

    java.util.List<TProcessProperties.Property> getPropertyList()

  Gets a List of "property" elements

### getPropertyArray

    TProcessProperties.Property[] getPropertyArray()

  Deprecated.

  Gets array of all "property" elements

### getPropertyArray

    TProcessProperties.Property getPropertyArray(int i)

  Gets ith "property" element

### sizeOfPropertyArray

    int sizeOfPropertyArray()

  Returns number of "property" element

### setPropertyArray

    void setPropertyArray(TProcessProperties.Property[] propertyArray)

  Sets array of all "property" element

### setPropertyArray

    void setPropertyArray(int i,
                          TProcessProperties.Property property)

  Sets ith "property" element

### insertNewProperty

    TProcessProperties.Property insertNewProperty(int i)

  Inserts and returns a new empty value (as xml) as the ith "property" element

### addNewProperty

    TProcessProperties.Property addNewProperty()

  Appends and returns a new empty value (as xml) as the last "property" element

### removeProperty

    void removeProperty(int i)

  Removes the ith "property" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD